︠3f07a5be-1792-4931-af37-d384535fa490︠
N=10
pop_size=[]
lam=1.2

for t in range(10):
    pop_size.append([t,N])
    N=N*lam
points(pop_size)
︡ac5be9ef-0463-4bdf-b68d-bc54ebcdeb25︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠e7b0b86b-2216-456d-95b7-f678df29e25c︠
line??
︡43c5e067-f0a9-4cce-8236-73b5ecaffe95︡{"html": "<!--notruncate-->\n<div class=\"docstring\">\n    \n  <p><strong>File:</strong> /usr/local/sage2/local/lib/python2.6/site-packages/sage/plot/line.py</p>\n<p><strong>Source Code</strong> (starting at line 226):</p>\n<div class=\"highlight-python\"><div class=\"highlight\"><pre class=\"literal-block\"><span class=\"k\">def</span> <span class=\"nf\">line</span><span class=\"p\">(</span><span class=\"n\">points</span><span class=\"p\">,</span> <span class=\"o\">**</span><span class=\"n\">kwds</span><span class=\"p\">):</span>\n    <span class=\"sd\">&quot;&quot;&quot;</span>\n<span class=\"sd\">    Returns either a 2-dimensional or 3-dimensional line depending</span>\n<span class=\"sd\">    on value of points.</span>\n\n<span class=\"sd\">    For information regarding additional arguments, see either line2d?</span>\n<span class=\"sd\">    or line3d?.</span>\n\n<span class=\"sd\">    EXAMPLES::</span>\n\n<span class=\"sd\">        sage: line([(0,0), (1,1)])</span>\n<span class=\"sd\">        sage: line([(0,0,1), (1,1,1)])</span>\n<span class=\"sd\">    &quot;&quot;&quot;</span>\n    <span class=\"k\">try</span><span class=\"p\">:</span>\n        <span class=\"k\">return</span> <span class=\"n\">line2d</span><span class=\"p\">(</span><span class=\"n\">points</span><span class=\"p\">,</span> <span class=\"o\">**</span><span class=\"n\">kwds</span><span class=\"p\">)</span>\n    <span class=\"k\">except</span> <span class=\"ne\">ValueError</span><span class=\"p\">:</span>\n        <span class=\"kn\">from</span> <span class=\"nn\">sage.plot.plot3d.shapes2</span> <span class=\"kn\">import</span> <span class=\"n\">line3d</span>\n        <span class=\"k\">return</span> <span class=\"n\">line3d</span><span class=\"p\">(</span><span class=\"n\">points</span><span class=\"p\">,</span> <span class=\"o\">**</span><span class=\"n\">kwds</span><span class=\"p\">)</span>\n</pre></div>\n</div>\n\n\n</div>\n"}︡
︠dc93290d-1190-4b54-95e3-5432639a58b5︠
from random import gauss
def exponential (N, r):
    return N * (r + gauss(0,0.5))
    
time = 100.
n0 = 100
pop_sizes = [n0]

for years in range(1, time):
    pop_sizes.append(exponential(pop_sizes[-1], 1.1))
    
series = []
for p in range(len(pop_sizes)):
    series.append([p, pop_sizes[p]])
    
line(series, marker='.') + text('time', (50,-150), color 'black')
︡652fa9ce-8c28-42cc-a904-83c0bfb4875a︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
